/**
    * @license
    * Copyright 2023 Google LLC. All Rights Reserved.
    * Licensed under the Apache License, Version 2.0 (the "License");
    * you may not use this file except in compliance with the License.
    * You may obtain a copy of the License at
    *
    * http://www.apache.org/licenses/LICENSE-2.0
    *
    * Unless required by applicable law or agreed to in writing, software
    * distributed under the License is distributed on an "AS IS" BASIS,
    * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    * See the License for the specific language governing permissions and
    * limitations under the License.
    * =============================================================================
    */
import{Pose as t}from"@mediapipe/pose";import{Tensor as e,browser as n,util as i,tidy as r,add as o,mul as a,tensor2d as s,image as u,expandDims as h,cast as l,slice as c,squeeze as p,dispose as f,tensor1d as d,getBackend as m,engine as g,sub as y,square as v,minimum as x,backend as w,div as k,exp as b,concat as M,reshape as S,clipByValue as T,sigmoid as P,pad as F,mirrorPad as _,env as O,zeros as I,scalar as A,argMax as z}from"@tensorflow/tfjs-core";import{loadGraphModel as C}from"@tensorflow/tfjs-converter";import{webgpu_util as E,WebGPUBackend as R}from"@tensorflow/tfjs-backend-webgpu";var L=function(t,e){return(L=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(t,e){t.__proto__=e}||function(t,e){for(var n in e)Object.prototype.hasOwnProperty.call(e,n)&&(t[n]=e[n])})(t,e)};function V(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Class extends value "+String(e)+" is not a constructor or null");function n(){this.constructor=t}L(t,e),t.prototype=null===e?Object.create(e):(n.prototype=e.prototype,new n)}var B=function(){return(B=Object.assign||function(t){for(var e,n=1,i=arguments.length;n<i;n++)for(var r in e=arguments[n])Object.prototype.hasOwnProperty.call(e,r)&&(t[r]=e[r]);return t}).apply(this,arguments)};function N(t,e,n,i){return new(n||(n=Promise))((function(r,o){function a(t){try{u(i.next(t))}catch(t){o(t)}}function s(t){try{u(i.throw(t))}catch(t){o(t)}}function u(t){var e;t.done?r(t.value):(e=t.value,e instanceof n?e:new n((function(t){t(e)}))).then(a,s)}u((i=i.apply(t,e||[])).next())}))}function D(t,e){var n,i,r,o,a={label:0,sent:function(){if(1&r[0])throw r[1];return r[1]},trys:[],ops:[]};return o={next:s(0),throw:s(1),return:s(2)},"function"==typeof Symbol&&(o[Symbol.iterator]=function(){return this}),o;function s(o){return function(s){return function(o){if(n)throw new TypeError("Generator is already executing.");for(;a;)try{if(n=1,i&&(r=2&o[0]?i.return:o[0]?i.throw||((r=i.return)&&r.call(i),0):i.next)&&!(r=r.call(i,o[1])).done)return r;switch(i=0,r&&(o=[2&o[0],r.value]),o[0]){case 0:case 1:r=o;break;case 4:return a.label++,{value:o[1],done:!1};case 5:a.label++,i=o[1],o=[0];continue;case 7:o=a.ops.pop(),a.trys.pop();continue;default:if(!(r=a.trys,(r=r.length>0&&r[r.length-1])||6!==o[0]&&2!==o[0])){a=0;continue}if(3===o[0]&&(!r||o[1]>r[0]&&o[1]<r[3])){a.label=o[1];break}if(6===o[0]&&a.label<r[1]){a.label=r[1],r=o;break}if(r&&a.label<r[2]){a.label=r[2],a.ops.push(o);break}r[2]&&a.ops.pop(),a.trys.pop();continue}o=e.call(t,a)}catch(t){o=[6,t],i=0}finally{n=r=0}if(5&o[0])throw o[1];return{value:o[0]?o[1]:void 0,done:!0}}([o,s])}}}function K(t,e,n){if(n||2===arguments.length)for(var i,r=0,o=e.length;r<o;r++)!i&&r in e||(i||(i=Array.prototype.slice.call(e,0,r)),i[r]=e[r]);return t.concat(i||Array.prototype.slice.call(e))}var U=["nose","left_eye","right_eye","left_ear","right_ear","left_shoulder","right_shoulder","left_elbow","right_elbow","left_wrist","right_wrist","left_hip","right_hip","left_knee","right_knee","left_ankle","right_ankle"],j=["nose","left_eye_inner","left_eye","left_eye_outer","right_eye_inner","right_eye","right_eye_outer","left_ear","right_ear","mouth_left","mouth_right","left_shoulder","right_shoulder","left_elbow","right_elbow","left_wrist","right_wrist","left_pinky","right_pinky","left_index","right_index","left_thumb","right_thumb","left_hip","right_hip","left_knee","right_knee","left_ankle","right_ankle","left_heel","right_heel","left_foot_index","right_foot_index"],H={left:[1,2,3,7,9,11,13,15,17,19,21,23,25,27,29,31],right:[4,5,6,8,10,12,14,16,18,20,22,24,26,28,30,32],middle:[0]},q={left:[1,3,5,7,9,11,13,15],right:[2,4,6,8,10,12,14,16],middle:[0]},X=[[0,1],[0,2],[1,3],[2,4],[5,6],[5,7],[5,11],[6,8],[6,12],[7,9],[8,10],[11,12],[11,13],[12,14],[13,15],[14,16]],Y=[[0,1],[0,4],[1,2],[2,3],[3,7],[4,5],[5,6],[6,8],[9,10],[11,12],[11,13],[11,23],[12,14],[14,16],[12,24],[13,15],[15,17],[16,18],[16,20],[15,17],[15,19],[15,21],[16,22],[17,19],[18,20],[23,25],[23,24],[24,26],[25,27],[26,28],[27,29],[28,30],[27,31],[28,32],[29,31],[30,32]];function W(t){return t instanceof SVGAnimatedLength?t.baseVal.value:t}function G(t){return N(this,void 0,void 0,(function(){var i,r;return D(this,(function(o){switch(o.label){case 0:return i=document.createElement("canvas"),t instanceof e?[4,n.toPixels(t,i)]:[3,2];case 1:return o.sent(),[3,3];case 2:i.width=W(t.width),i.height=W(t.height),r=i.getContext("2d"),t instanceof ImageData?r.putImageData(t,0,0):r.drawImage(t,0,0),o.label=3;case 3:return[2,i]}}))}))}function Q(t){return N(this,void 0,void 0,(function(){var i,r,o,a,s,u;return D(this,(function(h){switch(h.label){case 0:return t instanceof e?(i=t.shape.slice(0,2),r=i[0],o=i[1],a=ImageData.bind,[4,n.toPixels(t)]):[3,2];case 1:return[2,new(a.apply(ImageData,[void 0,h.sent(),o,r]))];case 2:return s=document.createElement("canvas"),u=s.getContext("2d"),s.width=W(t.width),s.height=W(t.height),u.drawImage(t,0,0),[2,u.getImageData(0,0,s.width,s.height)]}}))}))}function Z(t){return N(this,void 0,void 0,(function(){var e,i;return D(this,(function(r){switch(r.label){case 0:return t instanceof SVGImageElement||t instanceof OffscreenCanvas?[4,G(t)]:[3,2];case 1:return i=r.sent(),[3,3];case 2:i=t,r.label=3;case 3:return e=i,[2,n.fromPixels(e,4)]}}))}))}function $(t){if(t<0||t>=256)throw new Error("Mask value must be in range [0, 255] but got ".concat(t));if(!Number.isInteger(t))throw new Error("Mask value must be an integer but got ".concat(t))}var J={runtime:"mediapipe",enableSmoothing:!0,enableSegmentation:!1,smoothSegmentation:!0,modelType:"full"};var tt=function(){function t(t){this.mask=t}return t.prototype.toCanvasImageSource=function(){return N(this,void 0,void 0,(function(){return D(this,(function(t){return[2,this.mask]}))}))},t.prototype.toImageData=function(){return N(this,void 0,void 0,(function(){return D(this,(function(t){return[2,Q(this.mask)]}))}))},t.prototype.toTensor=function(){return N(this,void 0,void 0,(function(){return D(this,(function(t){return[2,Z(this.mask)]}))}))},t.prototype.getUnderlyingType=function(){return"canvasimagesource"},t}();function et(t){return $(t),"person"}var nt=function(){function i(e){var n,i=this;switch(this.width=0,this.height=0,this.selfieMode=!1,this.poseSolution=new t({locateFile:function(t,n){if(e.solutionPath){var i=e.solutionPath.replace(/\/+$/,"");return"".concat(i,"/").concat(t)}return"".concat(n,"/").concat(t)}}),e.modelType){case"lite":n=0;break;case"heavy":n=2;break;case"full":default:n=1}this.poseSolution.setOptions({modelComplexity:n,smoothLandmarks:e.enableSmoothing,enableSegmentation:e.enableSegmentation,smoothSegmentation:e.smoothSegmentation,selfieMode:this.selfieMode}),this.poseSolution.onResults((function(t){if(i.height=t.image.height,i.width=t.image.width,null==t.poseLandmarks)i.poses=[];else{var e=i.translateOutput(t.poseLandmarks,t.poseWorldLandmarks);t.segmentationMask&&(e.segmentation={maskValueToLabel:et,mask:new tt(t.segmentationMask)}),i.poses=[e]}}))}return i.prototype.translateOutput=function(t,e){var n=this,i={keypoints:t.map((function(t,e){return{x:t.x*n.width,y:t.y*n.height,z:t.z,score:t.visibility,name:j[e]}}))};return null!=e&&(i.keypoints3D=e.map((function(t,e){return{x:t.x,y:t.y,z:t.z,score:t.visibility,name:j[e]}}))),i},i.prototype.estimatePoses=function(t,i,r){return N(this,void 0,void 0,(function(){var o,a;return D(this,(function(s){switch(s.label){case 0:return i&&i.flipHorizontal&&i.flipHorizontal!==this.selfieMode&&(this.selfieMode=i.flipHorizontal,this.poseSolution.setOptions({selfieMode:this.selfieMode})),t instanceof e?(a=ImageData.bind,[4,n.toPixels(t)]):[3,2];case 1:return o=new(a.apply(ImageData,[void 0,s.sent(),t.shape[1],t.shape[0]])),[3,3];case 2:o=t,s.label=3;case 3:return t=o,[4,this.poseSolution.send({image:t},r)];case 4:return s.sent(),[2,this.poses]}}))}))},i.prototype.dispose=function(){this.poseSolution.close()},i.prototype.reset=function(){this.poseSolution.reset()},i.prototype.initialize=function(){return this.poseSolution.initialize()},i}();function it(t){return N(this,void 0,void 0,(function(){var e,n;return D(this,(function(i){switch(i.label){case 0:return e=function(t){if(null==t)return B({},J);var e=B({},t);return e.runtime="mediapipe",null==e.enableSegmentation&&(e.enableSegmentation=J.enableSegmentation),null==e.enableSmoothing&&(e.enableSmoothing=J.enableSmoothing),null==e.smoothSegmentation&&(e.smoothSegmentation=J.smoothSegmentation),null==e.modelType&&(e.modelType=J.modelType),e}(t),[4,(n=new nt(e)).initialize()];case 1:return i.sent(),[2,n]}}))}))}function rt(t){return t instanceof e?{height:t.shape[0],width:t.shape[1]}:{height:t.height,width:t.width}}function ot(t){return t-2*Math.PI*Math.floor((t+Math.PI)/(2*Math.PI))}function at(t){return t instanceof e?t:n.fromPixels(t)}function st(t,e,n){return ut(n,"inputResolution"),[1/n.width*t[0][0]*e.width,1/n.height*t[0][1]*e.width,t[0][3]*e.width,1/n.width*t[1][0]*e.height,1/n.height*t[1][1]*e.height,t[1][3]*e.height,0,0]}function ut(t,e){i.assert(0!==t.width,(function(){return"".concat(e," width cannot be 0.")})),i.assert(0!==t.height,(function(){return"".concat(e," height cannot be 0.")}))}function ht(t,e,n){var i=n.rotationVectorStartKeypointIndex,r=n.rotationVectorEndKeypointIndex,o=t.locationData,a=o.relativeKeypoints[i].x*e.width,s=o.relativeKeypoints[i].y*e.height,u=o.relativeKeypoints[r].x*e.width,h=o.relativeKeypoints[r].y*e.height,l=2*Math.sqrt((u-a)*(u-a)+(h-s)*(h-s)),c=function(t,e,n){var i,r=t.locationData,o=n.rotationVectorStartKeypointIndex,a=n.rotationVectorEndKeypointIndex;i=n.rotationVectorTargetAngle?n.rotationVectorTargetAngle:Math.PI*n.rotationVectorTargetAngleDegree/180;var s=r.relativeKeypoints[o].x*e.width,u=r.relativeKeypoints[o].y*e.height,h=r.relativeKeypoints[a].x*e.width,l=r.relativeKeypoints[a].y*e.height;return ot(i-Math.atan2(-(l-u),h-s))}(t,e,n);return{xCenter:a/e.width,yCenter:s/e.height,width:l/e.width,height:l/e.height,rotation:c}}function lt(t){if(16!==t.length)throw new Error("Array length must be 16 but got ".concat(t.length));return[[t[0],t[1],t[2],t[3]],[t[4],t[5],t[6],t[7]],[t[8],t[9],t[10],t[11]],[t[12],t[13],t[14],t[15]]]}function ct(t,e,n,i,r,o,a){return t[e][r]*(t[n][o]*t[i][a]-t[n][a]*t[i][o])}function pt(t,e,n){var i=(e+1)%4,r=(e+2)%4,o=(e+3)%4,a=(n+1)%4,s=(n+2)%4,u=(n+3)%4;return ct(t,i,r,o,a,s,u)+ct(t,r,o,i,a,s,u)+ct(t,o,i,r,a,s,u)}function ft(t,e,n){void 0===n&&(n={ignoreRotation:!1});for(var i=[],r=0,o=t;r<o.length;r++){var a=o[r],s=a.x-.5,u=a.y-.5,h=n.ignoreRotation?0:e.rotation,l=Math.cos(h)*s-Math.sin(h)*u,c=Math.sin(h)*s+Math.cos(h)*u;l=l*e.width+e.xCenter,c=c*e.height+e.yCenter;var p=a.z*e.width,f=B({},a);f.x=l,f.y=c,f.z=p,i.push(f)}return i}function dt(t,e){var n=function(t,e,n,i){var r=e-t,o=i-n;if(0===r)throw new Error("Original min and max are both ".concat(t,", range cannot be 0."));var a=o/r;return{scale:a,offset:n-t*a}}(0,255,e[0],e[1]);return r((function(){return o(a(t,n.scale),n.offset)}))}function mt(t,e,n){var i,o,a,c,p,f,d,m,g,y,v,x,w,k,b=e.outputTensorSize,M=e.keepAspectRatio,S=e.borderMode,T=e.outputTensorFloatRange,P=rt(t),F=function(t,e){return e?{xCenter:e.xCenter*t.width,yCenter:e.yCenter*t.height,width:e.width*t.width,height:e.height*t.height,rotation:e.rotation}:{xCenter:.5*t.width,yCenter:.5*t.height,width:t.width,height:t.height,rotation:0}}(P,n),_=function(t,e,n){if(void 0===n&&(n=!1),!n)return{top:0,left:0,right:0,bottom:0};var i=e.height,r=e.width;ut(e,"targetSize"),ut(t,"roi");var o,a,s=i/r,u=t.height/t.width,h=0,l=0;return s>u?(o=t.width,a=t.width*s,l=(1-u/s)/2):(o=t.height/s,a=t.height,h=(1-s/u)/2),t.width=o,t.height=a,{top:l,left:h,right:h,bottom:l}}(F,b,M),O=(i=F,o=P.width,a=P.height,c=!1,p=i.width,f=i.height,d=c?-1:1,m=Math.cos(i.rotation),g=Math.sin(i.rotation),y=i.xCenter,v=i.yCenter,x=1/o,w=1/a,(k=new Array(16))[0]=p*m*d*x,k[1]=-f*g*x,k[2]=0,k[3]=(-.5*p*m*d+.5*f*g+y)*x,k[4]=p*g*d*w,k[5]=f*m*w,k[6]=0,k[7]=(-.5*f*m-.5*p*g*d+v)*w,k[8]=0,k[9]=0,k[10]=p*x,k[11]=0,k[12]=0,k[13]=0,k[14]=0,k[15]=1,lt(k));return{imageTensor:r((function(){var e=at(t),n=s(st(O,P,b),[1,8]),i="zero"===S?"constant":"nearest",r=u.transform(h(l(e,"float32")),n,"bilinear",i,0,[b.height,b.width]);return null!=T?dt(r,T):r})),padding:_,transformationMatrix:O}}function gt(t,e,n,i){return 1===i?.5*(t+e):t+(e-t)*n/(i-1)}function yt(t){return r((function(){var e=function(t){return r((function(){return[c(t,[0,0,0],[1,-1,1]),c(t,[0,0,1],[1,-1,-1])]}))}(t),n=e[0],i=e[1];return{boxes:p(i),logits:p(n)}}))}function vt(t){return null!=t&&null!=t.currentTime}function xt(t){for(var e={locationData:{relativeKeypoints:[]}},n=Number.MAX_SAFE_INTEGER,i=Number.MIN_SAFE_INTEGER,r=Number.MAX_SAFE_INTEGER,o=Number.MIN_SAFE_INTEGER,a=0;a<t.length;++a){var s=t[a];n=Math.min(n,s.x),i=Math.max(i,s.x),r=Math.min(r,s.y),o=Math.max(o,s.y),e.locationData.relativeKeypoints.push({x:s.x,y:s.y})}return e.locationData.relativeBoundingBox={xMin:n,yMin:r,xMax:i,yMax:o,width:i-n,height:o-r},e}function wt(t,e,n,i){return N(this,void 0,void 0,(function(){var i,r,o,a,h;return D(this,(function(l){switch(l.label){case 0:return t.sort((function(t,e){return Math.max.apply(Math,e.score)-Math.max.apply(Math,t.score)})),i=s(t.map((function(t){return[t.locationData.relativeBoundingBox.yMin,t.locationData.relativeBoundingBox.xMin,t.locationData.relativeBoundingBox.yMax,t.locationData.relativeBoundingBox.xMax]}))),r=d(t.map((function(t){return t.score[0]}))),[4,u.nonMaxSuppressionAsync(i,r,e,n)];case 1:return[4,(o=l.sent()).array()];case 2:return a=l.sent(),h=t.filter((function(t,e){return a.indexOf(e)>-1})),f([i,r,o]),[2,h]}}))}))}function kt(t,e){return t.map((function(t){var n=B(B({},t),{x:t.x*e.width,y:t.y*e.height});return null!=t.z&&(n.z=t.z*e.width),n}))}function bt(t,e,n){return N(this,void 0,void 0,(function(){var i,r,o,a,s,u,h,l,c,f,d,m,g,y,v,x,w,k,b,M,S,T,P,F;return D(this,(function(_){switch(_.label){case 0:if(i=p(e,[0]),r=i.shape,o=r[0],a=r[1],s=r[2],t.length!==s)throw new Error("Expected heatmap to have same number of channels as the number of landmarks. But got landmarks length: "+"".concat(t.length,", heatmap length: ").concat(s));return u=[],[4,i.buffer()];case 1:for(h=_.sent(),l=0;l<t.length;l++)if(c=t[l],f=B({},c),u.push(f),d=Math.trunc(f.x*a),m=Math.trunc(f.y*o),!(d<0||d>=a||m<0||d>=o)){for(g=Math.trunc((n.kernelSize-1)/2),y=Math.max(0,d-g),v=Math.min(a,d+g+1),x=Math.max(0,m-g),w=Math.min(o,m+g+1),k=0,b=0,M=0,S=0,T=x;T<w;++T)for(P=y;P<v;++P)F=h.get(T,P,l),k+=F,S=Math.max(S,F),b+=P*F,M+=T*F;S>=n.minConfidenceToRefine&&k>0&&(f.x=b/a/k,f.y=M/o/k)}return i.dispose(),[2,u]}}))}))}function Mt(t,e){var n=e.left,i=e.top,r=e.left+e.right,o=e.top+e.bottom;return t.map((function(t){return B(B({},t),{x:(t.x-n)/(1-r),y:(t.y-i)/(1-o),z:t.z/(1-r)})}))}function St(t,e,n){return"webgl"===m()?function(t,e,n){var i=n.combineWithPreviousRatio.toFixed(2),o={variableNames:["prevMask","newMask"],outputShape:t.shape,userCode:"\n  void main() {\n      ivec2 coords = getOutputCoords();\n      int height = coords[0];\n      int width = coords[1];\n\n      float prevMaskValue = getPrevMask(height, width);\n      float newMaskValue = getNewMask(height, width);\n\n      /*\n      * Assume p := newMaskValue\n      * H(p) := 1 + (p * log(p) + (1-p) * log(1-p)) / log(2)\n      * uncertainty alpha(p) =\n      *   Clamp(1 - (1 - H(p)) * (1 - H(p)), 0, 1) [squaring the\n      * uncertainty]\n      *\n      * The following polynomial approximates uncertainty alpha as a\n      * function of (p + 0.5):\n      */\n      const float c1 = 5.68842;\n      const float c2 = -0.748699;\n      const float c3 = -57.8051;\n      const float c4 = 291.309;\n      const float c5 = -624.717;\n      float t = newMaskValue - 0.5;\n      float x = t * t;\n\n      float uncertainty =\n        1.0 - min(1.0, x * (c1 + x * (c2 + x * (c3 + x * (c4 + x * c5)))));\n\n      float outputValue = newMaskValue + (prevMaskValue - newMaskValue) *\n                             (uncertainty * ".concat(i,");\n\n      setOutput(outputValue);\n    }\n")},a=w();return r((function(){var n=a.compileAndRun(o,[t,e]);return g().makeTensorFromDataId(n.dataId,n.shape,n.dtype)}))}(t,e,n):r((function(){var i=y(e,.5),r=v(i),s=y(1,x(1,a(r,o(5.68842,a(r,o(-.748699,a(r,o(-57.8051,a(r,o(291.309,a(r,-624.717)))))))))));return o(e,a(y(t,e),a(s,n.combineWithPreviousRatio)))}))}function Tt(t,e,n){return N(this,void 0,void 0,(function(){var i,s,u,h,l;return D(this,(function(d){switch(d.label){case 0:return i=t[0],s=t[1],u=function(t,e,n){return r((function(){var i,r,s,u;n.reverseOutputOrder?(r=p(c(t,[0,n.boxCoordOffset+0],[-1,1])),i=p(c(t,[0,n.boxCoordOffset+1],[-1,1])),u=p(c(t,[0,n.boxCoordOffset+2],[-1,1])),s=p(c(t,[0,n.boxCoordOffset+3],[-1,1]))):(i=p(c(t,[0,n.boxCoordOffset+0],[-1,1])),r=p(c(t,[0,n.boxCoordOffset+1],[-1,1])),s=p(c(t,[0,n.boxCoordOffset+2],[-1,1])),u=p(c(t,[0,n.boxCoordOffset+3],[-1,1]))),r=o(a(k(r,n.xScale),e.w),e.x),i=o(a(k(i,n.yScale),e.h),e.y),n.applyExponentialOnBoxSize?(s=a(b(k(s,n.hScale)),e.h),u=a(b(k(u,n.wScale)),e.w)):(s=a(k(s,n.hScale),e.h),u=a(k(u,n.wScale),e.h));var h=y(i,k(s,2)),l=y(r,k(u,2)),f=o(i,k(s,2)),d=o(r,k(u,2)),m=M([S(h,[n.numBoxes,1]),S(l,[n.numBoxes,1]),S(f,[n.numBoxes,1]),S(d,[n.numBoxes,1])],1);if(n.numKeypoints)for(var g=0;g<n.numKeypoints;++g){var v=n.keypointCoordOffset+g*n.numValuesPerKeypoint,x=void 0,w=void 0;n.reverseOutputOrder?(x=p(c(t,[0,v],[-1,1])),w=p(c(t,[0,v+1],[-1,1]))):(w=p(c(t,[0,v],[-1,1])),x=p(c(t,[0,v+1],[-1,1])));var T=o(a(k(x,n.xScale),e.w),e.x),P=o(a(k(w,n.yScale),e.h),e.y);m=M([m,S(T,[n.numBoxes,1]),S(P,[n.numBoxes,1])],1)}return m}))}(s,e,n),h=r((function(){var t=i;return n.sigmoidScore?(null!=n.scoreClippingThresh&&(t=T(i,-n.scoreClippingThresh,n.scoreClippingThresh)),t=P(t)):t})),[4,Pt(u,h,n)];case 1:return l=d.sent(),f([u,h]),[2,l]}}))}))}function Pt(t,e,n){return N(this,void 0,void 0,(function(){var i,r,o,a,s,u,h,l,c,p,f,d;return D(this,(function(m){switch(m.label){case 0:return i=[],[4,t.data()];case 1:return r=m.sent(),[4,e.data()];case 2:for(o=m.sent(),a=0;a<n.numBoxes;++a)if(!(null!=n.minScoreThresh&&o[a]<n.minScoreThresh||(s=a*n.numCoords,u=Ft(r[s+0],r[s+1],r[s+2],r[s+3],o[a],n.flipVertically,a),(h=u.locationData.relativeBoundingBox).width<0||h.height<0))){if(n.numKeypoints>0)for((l=u.locationData).relativeKeypoints=[],c=n.numKeypoints*n.numValuesPerKeypoint,p=0;p<c;p+=n.numValuesPerKeypoint)f=s+n.keypointCoordOffset+p,d={x:r[f+0],y:n.flipVertically?1-r[f+1]:r[f+1]},l.relativeKeypoints.push(d);i.push(u)}return[2,i]}}))}))}function Ft(t,e,n,i,r,o,a){return{score:[r],ind:a,locationData:{relativeBoundingBox:{xMin:e,yMin:o?1-n:t,xMax:i,yMax:o?1-t:n,width:i-e,height:n-t}}}}function _t(t,e){return"none"===t?e:function(t){return 1/(1+Math.exp(-t))}(e)}function Ot(t,e,n,i){return N(this,void 0,void 0,(function(){var r,o,a,s,u,h,l,c;return D(this,(function(p){switch(p.label){case 0:return n=n||e.flipHorizontally||!1,i=i||e.flipVertically||!1,r=t.size,o=r/e.numLandmarks,[4,t.data()];case 1:for(a=p.sent(),s=[],u=0;u<e.numLandmarks;++u)h=u*o,(c={x:0,y:0}).x=n?e.inputImageWidth-a[h]:a[h],o>1&&(c.y=i?e.inputImageHeight-a[h+1]:a[h+1]),o>2&&(c.z=a[h+2]),o>3&&(c.score=_t(e.visibilityActivation,a[h+3])),s.push(c);for(l=0;l<s.length;++l)(c=s[l]).x=c.x/e.inputImageWidth,c.y=c.y/e.inputImageHeight,c.z=c.z/e.inputImageWidth/(e.normalizeZ||1);return[2,s]}}))}))}function It(t,e,n){var i=t.width,r=t.height,o=t.rotation;if(null==n.rotation&&null==n.rotationDegree||(o=function(t,e){null!=e.rotation?t+=e.rotation:null!=e.rotationDegree&&(t+=Math.PI*e.rotationDegree/180);return ot(t)}(o,n)),0===o)t.xCenter=t.xCenter+i*n.shiftX,t.yCenter=t.yCenter+r*n.shiftY;else{var a=(e.width*i*n.shiftX*Math.cos(o)-e.height*r*n.shiftY*Math.sin(o))/e.width,s=(e.width*i*n.shiftX*Math.sin(o)+e.height*r*n.shiftY*Math.cos(o))/e.height;t.xCenter=t.xCenter+a,t.yCenter=t.yCenter+s}if(n.squareLong){var u=Math.max(i*e.width,r*e.height);i=u/e.width,r=u/e.height}else if(n.squareShort){var h=Math.min(i*e.width,r*e.height);i=h/e.width,r=h/e.height}return t.width=i*n.scaleX,t.height=r*n.scaleY,t}function At(t,e){return t.map((function(t){var n=B(B({},t),{x:t.x/e.width,y:t.y/e.height});return null!=t.z&&(t.z=t.z/e.width),n}))}var zt=function(){function t(t){this.alpha=t,this.initialized=!1}return t.prototype.apply=function(t,e){var n;return this.initialized?n=null==e?this.storedValue+this.alpha*(t-this.storedValue):this.storedValue+this.alpha*e*Math.asinh((t-this.storedValue)/e):(n=t,this.initialized=!0),this.rawValue=t,this.storedValue=n,n},t.prototype.applyWithAlpha=function(t,e,n){return this.alpha=e,this.apply(t,n)},t.prototype.hasLastRawValue=function(){return this.initialized},t.prototype.lastRawValue=function(){return this.rawValue},t.prototype.reset=function(){this.initialized=!1},t}(),Ct=function(){function t(t){this.frequency=t.frequency,this.minCutOff=t.minCutOff,this.beta=t.beta,this.thresholdCutOff=t.thresholdCutOff,this.thresholdBeta=t.thresholdBeta,this.derivateCutOff=t.derivateCutOff,this.x=new zt(this.getAlpha(this.minCutOff)),this.dx=new zt(this.getAlpha(this.derivateCutOff)),this.lastTimestamp=0}return t.prototype.apply=function(t,e,n){if(null==t)return t;var i=Math.trunc(e);if(this.lastTimestamp>=i)return t;0!==this.lastTimestamp&&0!==i&&(this.frequency=1/(1e-6*(i-this.lastTimestamp))),this.lastTimestamp=i;var r=this.x.hasLastRawValue()?(t-this.x.lastRawValue())*n*this.frequency:0,o=this.dx.applyWithAlpha(r,this.getAlpha(this.derivateCutOff)),a=this.minCutOff+this.beta*Math.abs(o),s=null!=this.thresholdCutOff?this.thresholdCutOff+this.thresholdBeta*Math.abs(o):null;return this.x.applyWithAlpha(t,this.getAlpha(a),s)},t.prototype.getAlpha=function(t){return 1/(1+this.frequency/(2*Math.PI*t))},t}(),Et=function(){function t(t){this.config=t}return t.prototype.apply=function(t,e,n){var i=this;if(null==t)return this.reset(),null;this.initializeFiltersIfEmpty(t);var r=1;if(!this.config.disableValueScaling){if(n<this.config.minAllowedObjectScale)return K([],t,!0);r=1/n}return t.map((function(t,n){var o=B(B({},t),{x:i.xFilters[n].apply(t.x,e,r),y:i.yFilters[n].apply(t.y,e,r)});return null!=t.z&&(o.z=i.zFilters[n].apply(t.z,e,r)),o}))},t.prototype.reset=function(){this.xFilters=null,this.yFilters=null,this.zFilters=null},t.prototype.initializeFiltersIfEmpty=function(t){var e=this;null!=this.xFilters&&this.xFilters.length===t.length||(this.xFilters=t.map((function(t){return new Ct(e.config)})),this.yFilters=t.map((function(t){return new Ct(e.config)})),this.zFilters=t.map((function(t){return new Ct(e.config)})))},t}(),Rt=function(){function t(t){this.config=t,this.window=[],this.lowPassFilter=new zt(1),this.lastValue=0,this.lastValueScale=1,this.lastTimestamp=-1}return t.prototype.apply=function(t,e,n){if(null==t)return t;var i,r=Math.trunc(e);if(this.lastTimestamp>=r)return t;if(-1===this.lastTimestamp)i=1;else{for(var o=t*n-this.lastValue*this.lastValueScale,a=r-this.lastTimestamp,s=o,u=a,h=(1+this.window.length)*(1e6/30),l=0,c=this.window;l<c.length;l++){var p=c[l];if(u+p.duration>h)break;s+=p.distance,u+=p.duration}var f=s/(1e-6*u);i=1-1/(1+this.config.velocityScale*Math.abs(f)),this.window.unshift({distance:o,duration:a}),this.window.length>this.config.windowSize&&this.window.pop()}return this.lastValue=t,this.lastValueScale=n,this.lastTimestamp=r,this.lowPassFilter.applyWithAlpha(t,i)},t}(),Lt=function(){function t(t){this.config=t}return t.prototype.apply=function(t,e,n){var i=this;if(null==t)return this.reset(),null;var r=1;if(!this.config.disableValueScaling){if(n<this.config.minAllowedObjectScale)return K([],t,!0);r=1/n}return this.initializeFiltersIfEmpty(t),t.map((function(t,n){var o=B(B({},t),{x:i.xFilters[n].apply(t.x,e,r),y:i.yFilters[n].apply(t.y,e,r)});return null!=t.z&&(o.z=i.zFilters[n].apply(t.z,e,r)),o}))},t.prototype.reset=function(){this.xFilters=null,this.yFilters=null,this.zFilters=null},t.prototype.initializeFiltersIfEmpty=function(t){var e=this;null!=this.xFilters&&this.xFilters.length===t.length||(this.xFilters=t.map((function(t){return new Rt(e.config)})),this.yFilters=t.map((function(t){return new Rt(e.config)})),this.zFilters=t.map((function(t){return new Rt(e.config)})))},t}(),Vt=function(){function t(t){if(null!=t.velocityFilter)this.keypointsFilter=new Lt(t.velocityFilter);else{if(null==t.oneEuroFilter)throw new Error("Either configure velocityFilter or oneEuroFilter, but got "+"".concat(t,"."));this.keypointsFilter=new Et(t.oneEuroFilter)}}return t.prototype.apply=function(t,e,n,i,r){if(void 0===i&&(i=!1),null==t)return this.keypointsFilter.reset(),null;var o=null!=r?function(t,e){return(t.width*e.width+t.height*e.height)/2}(r,n):1,a=i?kt(t,n):t,s=this.keypointsFilter.apply(a,e,o);return i?At(s,n):s},t}(),Bt=function(){function t(t){this.alpha=t.alpha}return t.prototype.apply=function(t){var e=this;if(null==t)return this.visibilityFilters=null,null;null!=this.visibilityFilters&&this.visibilityFilters.length===t.length||(this.visibilityFilters=t.map((function(t){return new zt(e.alpha)})));for(var n=[],i=0;i<t.length;++i){var r=t[i],o=B({},r);o.score=this.visibilityFilters[i].apply(r.score),n.push(o)}return n},t}(),Nt={reduceBoxesInLowestlayer:!1,interpolatedScaleAspectRatio:1,featureMapHeight:[],featureMapWidth:[],numLayers:5,minScale:.1484375,maxScale:.75,inputSizeHeight:224,inputSizeWidth:224,anchorOffsetX:.5,anchorOffsetY:.5,strides:[8,16,32,32,32],aspectRatios:[1],fixedAnchorSize:!0},Dt={runtime:"tfjs",modelType:"full",enableSmoothing:!0,enableSegmentation:!1,smoothSegmentation:!0,detectorModelUrl:"https://tfhub.dev/mediapipe/tfjs-model/blazepose_3d/detector/1",landmarkModelUrl:"https://tfhub.dev/mediapipe/tfjs-model/blazepose_3d/landmark/full/2"},Kt={maxPoses:1,flipHorizontal:!1},Ut={applyExponentialOnBoxSize:!1,flipVertically:!1,ignoreClasses:[],numClasses:1,numBoxes:2254,numCoords:12,boxCoordOffset:0,keypointCoordOffset:4,numKeypoints:4,numValuesPerKeypoint:2,sigmoidScore:!0,scoreClippingThresh:100,reverseOutputOrder:!0,xScale:224,yScale:224,hScale:224,wScale:224,minScoreThresh:.5},jt=.3,Ht={shiftX:0,shiftY:0,scaleX:1.25,scaleY:1.25,squareLong:!0},qt={outputTensorSize:{width:224,height:224},keepAspectRatio:!0,outputTensorFloatRange:[-1,1],borderMode:"zero"},Xt={outputTensorSize:{width:256,height:256},keepAspectRatio:!0,outputTensorFloatRange:[0,1],borderMode:"zero"},Yt={numLandmarks:39,inputImageWidth:256,inputImageHeight:256,visibilityActivation:"sigmoid",flipHorizontally:!1,flipVertically:!1},Wt={numLandmarks:39,inputImageWidth:1,inputImageHeight:1,visibilityActivation:"sigmoid",flipHorizontally:!1,flipVertically:!1},Gt={kernelSize:7,minConfidenceToRefine:.5},Qt={alpha:.1},Zt={oneEuroFilter:{frequency:30,minCutOff:.05,beta:80,derivateCutOff:1,minAllowedObjectScale:1e-6}},$t={oneEuroFilter:{frequency:30,minCutOff:.01,beta:10,derivateCutOff:1,minAllowedObjectScale:1e-6}},Jt={oneEuroFilter:{frequency:30,minCutOff:.1,beta:40,derivateCutOff:1,minAllowedObjectScale:1e-6,disableValueScaling:!0}},te={activation:"none"},ee={combineWithPreviousRatio:.7};var ne=function(){function t(t){this.mask=t}return t.prototype.toCanvasImageSource=function(){return N(this,void 0,void 0,(function(){return D(this,(function(t){return[2,G(this.mask)]}))}))},t.prototype.toImageData=function(){return N(this,void 0,void 0,(function(){return D(this,(function(t){return[2,Q(this.mask)]}))}))},t.prototype.toTensor=function(){return N(this,void 0,void 0,(function(){return D(this,(function(t){return[2,this.mask]}))}))},t.prototype.getUnderlyingType=function(){return"tensor"},t}();function ie(t){return $(t),"person"}var re=function(){function t(t,e,n,i,r,o){this.detectorModel=t,this.landmarkModel=e,this.enableSmoothing=n,this.enableSegmentation=i,this.smoothSegmentation=r,this.modelType=o,this.regionOfInterest=null,this.prevFilteredSegmentationMask=null,this.anchors=function(t){null==t.reduceBoxesInLowestLayer&&(t.reduceBoxesInLowestLayer=!1),null==t.interpolatedScaleAspectRatio&&(t.interpolatedScaleAspectRatio=1),null==t.fixedAnchorSize&&(t.fixedAnchorSize=!1);for(var e=[],n=0;n<t.numLayers;){for(var i=[],r=[],o=[],a=[],s=n;s<t.strides.length&&t.strides[s]===t.strides[n];){var u=gt(t.minScale,t.maxScale,s,t.strides.length);if(0===s&&t.reduceBoxesInLowestLayer)o.push(1),o.push(2),o.push(.5),a.push(.1),a.push(u),a.push(u);else{for(var h=0;h<t.aspectRatios.length;++h)o.push(t.aspectRatios[h]),a.push(u);if(t.interpolatedScaleAspectRatio>0){var l=s===t.strides.length-1?1:gt(t.minScale,t.maxScale,s+1,t.strides.length);a.push(Math.sqrt(u*l)),o.push(t.interpolatedScaleAspectRatio)}}s++}for(var c=0;c<o.length;++c){var p=Math.sqrt(o[c]);i.push(a[c]/p),r.push(a[c]*p)}var f=0,d=0;if(t.featureMapHeight.length>0)f=t.featureMapHeight[n],d=t.featureMapWidth[n];else{var m=t.strides[n];f=Math.ceil(t.inputSizeHeight/m),d=Math.ceil(t.inputSizeWidth/m)}for(var g=0;g<f;++g)for(var y=0;y<d;++y)for(var v=0;v<i.length;++v){var x={xCenter:(y+t.anchorOffsetX)/d,yCenter:(g+t.anchorOffsetY)/f,width:0,height:0};t.fixedAnchorSize?(x.width=1,x.height=1):(x.width=r[v],x.height=i[v]),e.push(x)}n=s}return e}(Nt);var a=d(this.anchors.map((function(t){return t.width}))),u=d(this.anchors.map((function(t){return t.height}))),h=d(this.anchors.map((function(t){return t.xCenter}))),l=d(this.anchors.map((function(t){return t.yCenter})));this.anchorTensor={x:h,y:l,w:a,h:u},this.prevFilteredSegmentationMask=this.enableSegmentation?s([],[0,0]):null}return t.prototype.estimatePoses=function(t,e,n){return N(this,void 0,void 0,(function(){var i,o,a,s,u,c,p,d,m,g,y,v,x,w,k,b,M,S,T,P,O,I,A;return D(this,(function(z){switch(z.label){case 0:return i=function(t){var e;if(null==(e=null==t?Kt:B({},t)).maxPoses&&(e.maxPoses=1),e.maxPoses<=0)throw new Error("Invalid maxPoses ".concat(e.maxPoses,". Should be > 0."));if(e.maxPoses>1)throw new Error("Multi-pose detection is not implemented yet. Please set maxPoses to 1.");return e}(e),null==t?(this.reset(),[2,[]]):(this.maxPoses=i.maxPoses,this.timestamp=null!=n?1e3*n:vt(t)?1e6*t.currentTime:null,o=rt(t),a=r((function(){return l(at(t),"float32")})),null!=(s=this.regionOfInterest)?[3,2]:[4,this.detectPose(a)]);case 1:if(0===(u=z.sent()).length)return this.reset(),a.dispose(),[2,[]];c=u[0],s=this.poseDetectionToRoi(c,o),z.label=2;case 2:return[4,this.poseLandmarksByRoi(s,a)];case 3:return p=z.sent(),a.dispose(),null==p?(this.reset(),[2,[]]):(d=p.landmarks,m=p.auxiliaryLandmarks,g=p.poseScore,y=p.worldLandmarks,v=p.segmentationMask,x=this.poseLandmarkFiltering(d,m,y,o),w=x.actualLandmarksFiltered,k=x.auxiliaryLandmarksFiltered,b=x.actualWorldLandmarksFiltered,M=this.poseLandmarksToRoi(k,o),this.regionOfInterest=M,S=this.smoothSegmentation&&null!=v?this.poseSegmentationFiltering(v):v,null!=(T=null!=w?kt(w,o):null)&&T.forEach((function(t,e){t.name=j[e]})),null!=(P=b)&&P.forEach((function(t,e){t.name=j[e]})),O={score:g,keypoints:T,keypoints3D:P},null!==S&&(I=r((function(){var t=h(S,2),e=F(t,[[0,0],[0,0],[0,1]]);return _(e,[[0,0],[0,0],[0,2]],"symmetric")})),this.smoothSegmentation||f(S),A={maskValueToLabel:ie,mask:new ne(I)},O.segmentation=A),[2,[O]])}}))}))},t.prototype.poseSegmentationFiltering=function(t){var e=this.prevFilteredSegmentationMask;return 0===e.size?this.prevFilteredSegmentationMask=t:(this.prevFilteredSegmentationMask=St(e,t,ee),f(t)),f(e),this.prevFilteredSegmentationMask},t.prototype.dispose=function(){this.detectorModel.dispose(),this.landmarkModel.dispose(),f([this.anchorTensor.x,this.anchorTensor.y,this.anchorTensor.w,this.anchorTensor.h,this.prevFilteredSegmentationMask])},t.prototype.reset=function(){this.regionOfInterest=null,this.enableSegmentation&&(f(this.prevFilteredSegmentationMask),this.prevFilteredSegmentationMask=s([],[0,0])),this.visibilitySmoothingFilterActual=null,this.visibilitySmoothingFilterAuxiliary=null,this.landmarksSmoothingFilterActual=null,this.landmarksSmoothingFilterAuxiliary=null},t.prototype.detectPose=function(t){return N(this,void 0,void 0,(function(){var e,n,i,r,o,a,s,u,h,l;return D(this,(function(c){switch(c.label){case 0:return e=mt(t,qt),n=e.imageTensor,i=e.padding,r=this.detectorModel.predict(n),o=yt(r),a=o.boxes,[4,Tt([s=o.logits,a],this.anchorTensor,Ut)];case 1:return 0===(u=c.sent()).length?(f([n,r,s,a]),[2,u]):[4,wt(u,this.maxPoses,jt)];case 2:return h=c.sent(),l=function(t,e){void 0===t&&(t=[]);for(var n=e.left,i=e.top,r=e.left+e.right,o=e.top+e.bottom,a=0;a<t.length;a++){var s=t[a],u=s.locationData.relativeBoundingBox,h=(u.xMin-n)/(1-r),l=(u.yMin-i)/(1-o),c=u.width/(1-r),p=u.height/(1-o);u.xMin=h,u.yMin=l,u.width=c,u.height=p,u.xMax=h+c,u.yMax=l+p;var f=s.locationData.relativeKeypoints;f&&f.forEach((function(t){var e=(t.x-n)/(1-r),a=(t.y-i)/(1-o);t.x=e,t.y=a}))}return t}(h,i),f([n,r,s,a]),[2,l]}}))}))},t.prototype.poseDetectionToRoi=function(t,e){return 0,1,It(ht(t,e,{rotationVectorEndKeypointIndex:1,rotationVectorStartKeypointIndex:0,rotationVectorTargetAngleDegree:90}),e,Ht)},t.prototype.poseLandmarksByRoi=function(t,e){return N(this,void 0,void 0,(function(){var n,i,r,o,a,s,u,h,l,c,p,d,m,g;return D(this,(function(y){switch(y.label){case 0:if(n=rt(e),i=mt(e,Xt,t),r=i.imageTensor,o=i.padding,a=i.transformationMatrix,"lite"!==this.modelType&&"full"!==this.modelType&&"heavy"!==this.modelType)throw new Error("Model type must be one of lite, full or heavy,"+"but got ".concat(this.modelType));return s=["ld_3d","output_poseflag","activation_heatmap","world_3d"],this.enableSegmentation&&s.push("activation_segmentation"),u=this.landmarkModel.execute(r,s),[4,this.tensorsToPoseLandmarksAndSegmentation(u)];case 1:return null==(h=y.sent())?(f(u),f(r),[2,null]):(l=h.landmarks,c=h.auxiliaryLandmarks,p=h.poseScore,d=h.worldLandmarks,m=h.segmentationMask,[4,this.poseLandmarksAndSegmentationInverseProjection(n,t,o,a,l,c,d,m)]);case 2:return g=y.sent(),f(u),f(r),[2,B({poseScore:p},g)]}}))}))},t.prototype.poseLandmarksAndSegmentationInverseProjection=function(t,e,n,i,o,a,h,l){return N(this,void 0,void 0,(function(){var c,d,m,g,y,v;return D(this,(function(x){return c=Mt(o,n),d=Mt(a,n),m=ft(c,e),g=ft(d,e),y=function(t,e){for(var n=[],i=0,r=t;i<r.length;i++){var o=r[i],a=o.x,s=o.y,u=e.rotation,h=Math.cos(u)*a-Math.sin(u)*s,l=Math.sin(u)*a+Math.cos(u)*s,c=B({},o);c.x=h,c.y=l,n.push(c)}return n}(h,e),v=null,this.enableSegmentation&&(v=r((function(){var e=l.shape,n=e[0],r=e[1],o=function(t){var e=lt(new Array(16).fill(0));e[0][0]=pt(t,0,0),e[1][0]=-pt(t,0,1),e[2][0]=pt(t,0,2),e[3][0]=-pt(t,0,3),e[0][2]=pt(t,2,0),e[1][2]=-pt(t,2,1),e[2][2]=pt(t,2,2),e[3][2]=-pt(t,2,3),e[0][1]=-pt(t,1,0),e[1][1]=pt(t,1,1),e[2][1]=-pt(t,1,2),e[3][1]=pt(t,1,3),e[0][3]=-pt(t,3,0),e[1][3]=pt(t,3,1),e[2][3]=-pt(t,3,2),e[3][3]=pt(t,3,3);for(var n=t[0][0]*e[0][0]+t[1][0]*e[0][1]+t[2][0]*e[0][2]+t[3][0]*e[0][3],i=0;i<e.length;i++)for(var r=0;r<e.length;r++)e[i][r]/=n;return e}(i),a=s(st(o,{width:r,height:n},t),[1,8]),h=[1,n,r,1];return p(u.transform(S(l,h),a,"bilinear","constant",0,[t.height,t.width]),[0,3])})),f(l)),[2,{landmarks:m,auxiliaryLandmarks:g,worldLandmarks:y,segmentationMask:v}]}))}))},t.prototype.tensorsToPoseLandmarksAndSegmentation=function(t){return N(this,void 0,void 0,(function(){var e,n,i,o,a,s,h,l,c,f,d,m,g;return D(this,(function(y){switch(y.label){case 0:return e=t[0],n=t[1],i=t[2],o=t[3],a=this.enableSegmentation?t[4]:null,[4,n.data()];case 1:return(s=y.sent()[0])<.5?[2,null]:[4,Ot(e,Yt)];case 2:return[4,bt(y.sent(),i,Gt)];case 3:return h=y.sent(),l=h.slice(0,33),c=h.slice(33,35),[4,Ot(o,Wt)];case 4:return f=y.sent(),d=f.slice(0,33),m=function(t,e,n){void 0===n&&(n=!0);for(var i=[],r=0;r<t.length;r++){var o=B({},e[r]);n&&(o.score=t[r].score),i.push(o)}return i}(l,d,!0),g=this.enableSegmentation?function(t,e,n){return r((function(){var i=p(t,[0]),r=i.shape[2];if(1===r){var o=i;switch(e.activation){case"none":break;case"sigmoid":o=P(o);break;case"softmax":throw new Error("Softmax activation requires two channels.");default:throw new Error("Activation not supported (".concat(e.activation,")"))}var a=n?u.resizeBilinear(o,[n.height,n.width]):o;return p(a,[2])}throw new Error("Unsupported number of tensor channels ".concat(r))}))}(a,te):null,[2,{landmarks:l,auxiliaryLandmarks:c,poseScore:s,worldLandmarks:m,segmentationMask:g}]}}))}))},t.prototype.poseLandmarksToRoi=function(t,e){return It(ht(xt(t),e,{rotationVectorStartKeypointIndex:0,rotationVectorEndKeypointIndex:1,rotationVectorTargetAngleDegree:90}),e,Ht)},t.prototype.poseLandmarkFiltering=function(t,e,n,i){var r,o,a;if(null!=this.timestamp&&this.enableSmoothing){var s=ht(xt(e),i,{rotationVectorEndKeypointIndex:0,rotationVectorStartKeypointIndex:1,rotationVectorTargetAngleDegree:90});null==this.visibilitySmoothingFilterActual&&(this.visibilitySmoothingFilterActual=new Bt(Qt)),r=this.visibilitySmoothingFilterActual.apply(t),null==this.visibilitySmoothingFilterAuxiliary&&(this.visibilitySmoothingFilterAuxiliary=new Bt(Qt)),o=this.visibilitySmoothingFilterAuxiliary.apply(e),a=this.visibilitySmoothingFilterActual.apply(n),null==this.landmarksSmoothingFilterActual&&(this.landmarksSmoothingFilterActual=new Vt(Zt)),r=this.landmarksSmoothingFilterActual.apply(r,this.timestamp,i,!0,s),null==this.landmarksSmoothingFilterAuxiliary&&(this.landmarksSmoothingFilterAuxiliary=new Vt($t)),o=this.landmarksSmoothingFilterAuxiliary.apply(o,this.timestamp,i,!0,s),null==this.worldLandmarksSmoothingFilterActual&&(this.worldLandmarksSmoothingFilterActual=new Vt(Jt)),a=this.worldLandmarksSmoothingFilterActual.apply(n,this.timestamp)}else r=t,o=e,a=n;return{actualLandmarksFiltered:r,auxiliaryLandmarksFiltered:o,actualWorldLandmarksFiltered:a}},t}();function oe(t){return N(this,void 0,void 0,(function(){var e,n,i,r,o,a;return D(this,(function(s){switch(s.label){case 0:return e=function(t){var e=B({},null==t?Dt:t);if(null==e.enableSmoothing&&(e.enableSmoothing=Dt.enableSmoothing),null==e.enableSegmentation&&(e.enableSegmentation=Dt.enableSegmentation),null==e.smoothSegmentation&&(e.smoothSegmentation=Dt.smoothSegmentation),null==e.modelType&&(e.modelType=Dt.modelType),null==e.detectorModelUrl&&(e.detectorModelUrl=Dt.detectorModelUrl),null==e.landmarkModelUrl)switch(e.modelType){case"lite":e.landmarkModelUrl="https://tfhub.dev/mediapipe/tfjs-model/blazepose_3d/landmark/lite/2";break;case"heavy":e.landmarkModelUrl="https://tfhub.dev/mediapipe/tfjs-model/blazepose_3d/landmark/heavy/2";break;case"full":default:e.landmarkModelUrl="https://tfhub.dev/mediapipe/tfjs-model/blazepose_3d/landmark/full/2"}return e}(t),n="string"==typeof e.detectorModelUrl&&e.detectorModelUrl.indexOf("https://tfhub.dev")>-1,i="string"==typeof e.landmarkModelUrl&&e.landmarkModelUrl.indexOf("https://tfhub.dev")>-1,[4,Promise.all([C(e.detectorModelUrl,{fromTFHub:n}),C(e.landmarkModelUrl,{fromTFHub:i})])];case 1:return r=s.sent(),o=r[0],a=r[1],[2,new re(o,a,e.enableSmoothing,e.enableSegmentation,e.smoothSegmentation,e.modelType)]}}))}))}var ae,se,ue=function(){function t(t){!function(t){if(t.maxTracks<1)throw new Error("Must specify 'maxTracks' to be at least 1, but "+"encountered ".concat(t.maxTracks));if(t.maxAge<=0)throw new Error("Must specify 'maxAge' to be positive, but "+"encountered ".concat(t.maxAge));if(void 0!==t.keypointTrackerParams){if(t.keypointTrackerParams.keypointConfidenceThreshold<0||t.keypointTrackerParams.keypointConfidenceThreshold>1)throw new Error("Must specify 'keypointConfidenceThreshold' to be in the range [0, 1], but encountered "+"".concat(t.keypointTrackerParams.keypointConfidenceThreshold));if(t.keypointTrackerParams.minNumberOfKeypoints<1)throw new Error("Must specify 'minNumberOfKeypoints' to be at least 1, but "+"encountered ".concat(t.keypointTrackerParams.minNumberOfKeypoints));for(var e=0,n=t.keypointTrackerParams.keypointFalloff;e<n.length;e++){var i=n[e];if(i<=0)throw new Error("Must specify each keypoint falloff parameterto be positive "+"but encountered ".concat(i))}}}(t),this.tracks=[],this.maxTracks=t.maxTracks,this.maxAge=1e3*t.maxAge,this.minSimilarity=t.minSimilarity,this.nextID=1}return t.prototype.apply=function(t,e){this.filterOldTracks(e);var n=this.computeSimilarity(t);return this.assignTracks(t,n,e),this.updateTracks(e),t},t.prototype.getTracks=function(){return this.tracks.slice()},t.prototype.getTrackIDs=function(){return new Set(this.tracks.map((function(t){return t.id})))},t.prototype.filterOldTracks=function(t){var e=this;this.tracks=this.tracks.filter((function(n){return t-n.lastTimestamp<=e.maxAge}))},t.prototype.assignTracks=function(t,e,n){for(var i=Array.from(Array(e[0].length).keys()),r=[],o=0,a=Array.from(Array(t.length).keys());o<a.length;o++){var s=a[o];if(0!==i.length){for(var u=-1,h=-1,l=0,c=i;l<c.length;l++){var p=c[l],f=e[s][p];f>=this.minSimilarity&&f>h&&(u=p,h=f)}if(u>=0){var d=this.tracks[u];d=Object.assign(d,this.createTrack(t[s],n,d.id)),t[s].id=d.id;var m=i.indexOf(u);i.splice(m,1)}else r.push(s)}else r.push(s)}for(var g=0,y=r;g<y.length;g++){s=y[g];var v=this.createTrack(t[s],n);this.tracks.push(v),t[s].id=v.id}},t.prototype.updateTracks=function(t){this.tracks.sort((function(t,e){return e.lastTimestamp-t.lastTimestamp})),this.tracks=this.tracks.slice(0,this.maxTracks)},t.prototype.createTrack=function(t,e,n){var i={id:n||this.nextTrackID(),lastTimestamp:e,keypoints:K([],t.keypoints,!0).map((function(t){return B({},t)}))};return void 0!==t.box&&(i.box=B({},t.box)),i},t.prototype.nextTrackID=function(){var t=this.nextID;return this.nextID+=1,t},t.prototype.remove=function(){for(var t=[],e=0;e<arguments.length;e++)t[e]=arguments[e];this.tracks=this.tracks.filter((function(e){return!t.includes(e.id)}))},t.prototype.reset=function(){this.tracks=[]},t}(),he=function(t){function e(e){return t.call(this,e)||this}return V(e,t),e.prototype.computeSimilarity=function(t){var e=this;return 0===t.length||0===this.tracks.length?[[]]:t.map((function(t){return e.tracks.map((function(n){return e.iou(t,n)}))}))},e.prototype.iou=function(t,e){var n=Math.max(t.box.xMin,e.box.xMin),i=Math.max(t.box.yMin,e.box.yMin),r=Math.min(t.box.xMax,e.box.xMax),o=Math.min(t.box.yMax,e.box.yMax);if(n>=r||i>=o)return 0;var a=(r-n)*(o-i);return a/(t.box.width*t.box.height+e.box.width*e.box.height-a)},e}(ue),le=function(t){function e(e){var n=t.call(this,e)||this;return n.keypointThreshold=e.keypointTrackerParams.keypointConfidenceThreshold,n.keypointFalloff=e.keypointTrackerParams.keypointFalloff,n.minNumKeyoints=e.keypointTrackerParams.minNumberOfKeypoints,n}return V(e,t),e.prototype.computeSimilarity=function(t){if(0===t.length||0===this.tracks.length)return[[]];for(var e=[],n=0,i=t;n<i.length;n++){for(var r=i[n],o=[],a=0,s=this.tracks;a<s.length;a++){var u=s[a];o.push(this.oks(r,u))}e.push(o)}return e},e.prototype.oks=function(t,e){for(var n=this.area(e.keypoints)+1e-6,i=0,r=0,o=0;o<t.keypoints.length;++o){var a=t.keypoints[o],s=e.keypoints[o];if(!(a.score<this.keypointThreshold||s.score<this.keypointThreshold)){r+=1;var u=Math.pow(a.x-s.x,2)+Math.pow(a.y-s.y,2),h=2*this.keypointFalloff[o];i+=Math.exp(-1*u/(2*n*Math.pow(h,2)))}}return r<this.minNumKeyoints?0:i/r},e.prototype.area=function(t){var e=this,n=t.filter((function(t){return t.score>e.keypointThreshold})),i=Math.min.apply(Math,K([1],n.map((function(t){return t.x})),!1)),r=Math.max.apply(Math,K([0],n.map((function(t){return t.x})),!1)),o=Math.min.apply(Math,K([1],n.map((function(t){return t.y})),!1));return(r-i)*(Math.max.apply(Math,K([0],n.map((function(t){return t.y})),!1))-o)},e}(ue);function ce(t){switch(t){case se.BlazePose:return j.reduce((function(t,e,n){return t[e]=n,t}),{});case se.PoseNet:case se.MoveNet:return U.reduce((function(t,e,n){return t[e]=n,t}),{});default:throw new Error("Model ".concat(t," is not supported."))}}!function(t){t.Keypoint="keypoint",t.BoundingBox="boundingBox"}(ae||(ae={})),function(t){t.MoveNet="MoveNet",t.BlazePose="BlazePose",t.PoseNet="PoseNet"}(se||(se={}));var pe=Object.freeze({__proto__:null,getKeypointIndexBySide:function(t){switch(t){case se.BlazePose:return H;case se.PoseNet:case se.MoveNet:return q;default:throw new Error("Model ".concat(t," is not supported."))}},getAdjacentPairs:function(t){switch(t){case se.BlazePose:return Y;case se.PoseNet:case se.MoveNet:return X;default:throw new Error("Model ".concat(t," is not supported."))}},getKeypointIndexByName:ce}),fe=["SinglePose.Lightning","SinglePose.Thunder","MultiPose.Lightning"],de={modelType:"SinglePose.Lightning",enableSmoothing:!0},me={},ge={frequency:30,minCutOff:2.5,beta:300,derivateCutOff:2.5,thresholdCutOff:.5,thresholdBeta:5,disableValueScaling:!0},ye={maxTracks:18,maxAge:1e3,minSimilarity:.2,keypointTrackerParams:{keypointConfidenceThreshold:.3,keypointFalloff:[.026,.025,.025,.035,.035,.079,.079,.072,.072,.062,.062,.107,.107,.087,.087,.089,.089],minNumberOfKeypoints:4}},ve={maxTracks:18,maxAge:1e3,minSimilarity:.15,trackerParams:{}};function xe(t,e,n,i){for(var r={},o=0,a=U;o<a.length;o++){var s=a[o];r[s]=[e[n[s]].y*i.height,e[n[s]].x*i.width]}if(function(t,e){return(t[e.left_hip].score>.2||t[e.right_hip].score>.2)&&(t[e.left_shoulder].score>.2||t[e.right_shoulder].score>.2)}(e,n)){var u=(r.left_hip[0]+r.right_hip[0])/2,h=(r.left_hip[1]+r.right_hip[1])/2,l=function(t,e,n,i,r){for(var o=["left_shoulder","right_shoulder","left_hip","right_hip"],a=0,s=0,u=0;u<o.length;u++){(f=Math.abs(i-n[o[u]][0]))>a&&(a=f),(d=Math.abs(r-n[o[u]][1]))>s&&(s=d)}for(var h=0,l=0,c=0,p=Object.keys(n);c<p.length;c++){var f,d,m=p[c];if(!(t[e[m]].score<.2))(f=Math.abs(i-n[m][0]))>h&&(h=f),(d=Math.abs(r-n[m][1]))>l&&(l=d)}return[a,s,h,l]}(e,n,r,u,h),c=l[0],p=l[1],f=l[2],d=l[3],m=Math.max(1.9*p,1.9*c,1.2*f,1.2*d),g=[u-(m=Math.min(m,Math.max(h,i.width-h,u,i.height-u))),h-m];if(m>Math.max(i.width,i.height)/2)return we(null==t,i);var y=2*m;return{yMin:g[0]/i.height,xMin:g[1]/i.width,yMax:(g[0]+y)/i.height,xMax:(g[1]+y)/i.width,height:(g[0]+y)/i.height-g[0]/i.height,width:(g[1]+y)/i.width-g[1]/i.width}}return we(null==t,i)}function we(t,e){var n,i,r,o;return t?e.width>e.height?(n=1,i=e.height/e.width,r=0,o=(e.width/2-e.height/2)/e.width):(n=e.width/e.height,i=1,r=(e.height/2-e.width/2)/e.height,o=0):e.width>e.height?(n=e.width/e.height,i=1,r=(e.height/2-e.width/2)/e.height,o=0):(n=1,i=e.height/e.width,r=0,o=(e.width/2-e.height/2)/e.width),{yMin:r,xMin:o,yMax:r+n,xMax:o+i,height:n,width:i}}function ke(t){var e,n=null==t?de:B({},t);if(null==n.modelType)n.modelType="SinglePose.Lightning";else if(fe.indexOf(n.modelType)<0)throw new Error("Invalid architecture ".concat(n.modelType,". ")+"Should be one of ".concat(fe));if(null==n.enableSmoothing&&(n.enableSmoothing=!0),null!=n.minPoseScore&&(n.minPoseScore<0||n.minPoseScore>1))throw new Error("minPoseScore should be between 0.0 and 1.0");if(null!=n.multiPoseMaxDimension&&(n.multiPoseMaxDimension%32!=0||n.multiPoseMaxDimension<32))throw new Error("multiPoseMaxDimension must be a multiple of 32 and higher than 0");if("MultiPose.Lightning"===n.modelType&&null==n.enableTracking&&(n.enableTracking=!0),"MultiPose.Lightning"===n.modelType&&!0===n.enableTracking)if(null==n.trackerType&&(n.trackerType=ae.BoundingBox),n.trackerType===ae.Keypoint)null!=n.trackerConfig?n.trackerConfig=function(t){var e=be(ye,t);e.keypointTrackerParams=B({},ye.keypointTrackerParams),null!=t.keypointTrackerParams&&(null!=t.keypointTrackerParams.keypointConfidenceThreshold&&(e.keypointTrackerParams.keypointConfidenceThreshold=t.keypointTrackerParams.keypointConfidenceThreshold),null!=t.keypointTrackerParams.keypointFalloff&&(e.keypointTrackerParams.keypointFalloff=t.keypointTrackerParams.keypointFalloff),null!=t.keypointTrackerParams.minNumberOfKeypoints&&(e.keypointTrackerParams.minNumberOfKeypoints=t.keypointTrackerParams.minNumberOfKeypoints));return e}(n.trackerConfig):n.trackerConfig=ye;else{if(n.trackerType!==ae.BoundingBox)throw new Error("Tracker type not supported by MoveNet");null!=n.trackerConfig?n.trackerConfig=(e=n.trackerConfig,be(ve,e)):n.trackerConfig=ve}return n}function be(t,e){var n={maxTracks:t.maxTracks,maxAge:t.maxAge,minSimilarity:t.minSimilarity};return null!=e.maxTracks&&(n.maxTracks=e.maxTracks),null!=e.maxAge&&(n.maxAge=e.maxAge),null!=e.minSimilarity&&(n.minSimilarity=e.minSimilarity),n}var Me=function(){function t(t,e){this.moveNetModel=t,this.modelInputResolution={height:0,width:0},this.keypointIndexByName=ce(se.MoveNet),"SinglePose.Lightning"===e.modelType?(this.modelInputResolution.width=192,this.modelInputResolution.height=192):"SinglePose.Thunder"===e.modelType&&(this.modelInputResolution.width=256,this.modelInputResolution.height=256),this.multiPoseModel="MultiPose.Lightning"===e.modelType,this.multiPoseModel||(this.keypointFilter=new Et(ge),this.cropRegionFilterYMin=new zt(.9),this.cropRegionFilterXMin=new zt(.9),this.cropRegionFilterYMax=new zt(.9),this.cropRegionFilterXMax=new zt(.9)),this.enableSmoothing=e.enableSmoothing,e.minPoseScore?this.minPoseScore=e.minPoseScore:this.minPoseScore=.25,e.multiPoseMaxDimension?this.multiPoseMaxDimension=e.multiPoseMaxDimension:this.multiPoseMaxDimension=256,this.enableTracking=e.enableTracking,this.multiPoseModel&&this.enableTracking&&(e.trackerType===ae.Keypoint?this.tracker=new le(e.trackerConfig):e.trackerType===ae.BoundingBox&&(this.tracker=new he(e.trackerConfig)),this.enableSmoothing&&(this.keypointFilterMap=new Map))}return t.prototype.runSinglePersonPoseModel=function(t){return N(this,void 0,void 0,(function(){var e,n,i,r,o;return D(this,(function(a){switch(a.label){case 0:if(4!==(e=this.moveNetModel.execute(t)).shape.length||1!==e.shape[0]||1!==e.shape[1]||17!==e.shape[2]||3!==e.shape[3])throw e.dispose(),new Error("Unexpected output shape from model: [".concat(e.shape,"]"));return"webgpu"===m()?[3,1]:(n=e.dataSync(),[3,3]);case 1:return[4,e.data()];case 2:n=a.sent(),a.label=3;case 3:for(e.dispose(),i={keypoints:[],score:0},r=0,o=0;o<17;++o)i.keypoints[o]={y:n[3*o],x:n[3*o+1],score:n[3*o+2]},i.keypoints[o].score>.2&&(++r,i.score+=i.keypoints[o].score);return r>0&&(i.score/=r),[2,i]}}))}))},t.prototype.runMultiPersonPoseModel=function(t){return N(this,void 0,void 0,(function(){var e,n,i,r,o,a,s,u;return D(this,(function(h){switch(h.label){case 0:if(3!==(e=this.moveNetModel.execute(t)).shape.length||1!==e.shape[0]||56!==e.shape[2])throw e.dispose(),new Error("Unexpected output shape from model: [".concat(e.shape,"]"));return"webgpu"===m()?[3,1]:(n=e.dataSync(),[3,3]);case 1:return[4,e.data()];case 2:n=h.sent(),h.label=3;case 3:for(e.dispose(),i=[],r=n.length/56,o=0;o<r;++o)for(i[o]={keypoints:[]},a=56*o+51,i[o].box={yMin:n[a],xMin:n[a+1],yMax:n[a+2],xMax:n[a+3],width:n[a+3]-n[a+1],height:n[a+2]-n[a]},s=56*o+55,i[o].score=n[s],i[o].keypoints=[],u=0;u<17;++u)i[o].keypoints[u]={y:n[56*o+3*u],x:n[56*o+3*u+1],score:n[56*o+3*u+2]};return[2,i]}}))}))},t.prototype.estimatePoses=function(t,n,i){return void 0===n&&(n=me),N(this,void 0,void 0,(function(){var r,o,a,s,u,l;return D(this,(function(c){switch(c.label){case 0:return n=function(t){return null==t?me:B({},t)}(n),null==t?(this.reset(),[2,[]]):(null==i?vt(t)&&(i=1e6*t.currentTime):i*=1e3,r=at(t),o=rt(r),a=h(r,0),t instanceof e||r.dispose(),s=[],this.multiPoseModel?[3,2]:[4,this.estimateSinglePose(a,o,i)]);case 1:return s=c.sent(),[3,4];case 2:return[4,this.estimateMultiplePoses(a,o,i)];case 3:s=c.sent(),c.label=4;case 4:for(u=0;u<s.length;++u)for(l=0;l<s[u].keypoints.length;++l)s[u].keypoints[l].name=U[l],s[u].keypoints[l].y*=o.height,s[u].keypoints[l].x*=o.width;return[2,s]}}))}))},t.prototype.estimateSinglePose=function(t,e,n){return N(this,void 0,void 0,(function(){var i,o,a,h,c=this;return D(this,(function(p){switch(p.label){case 0:return this.cropRegion||(this.cropRegion=we(null==this.cropRegion,e)),i=r((function(){var e=s([[c.cropRegion.yMin,c.cropRegion.xMin,c.cropRegion.yMax,c.cropRegion.xMax]]),n=I([1],"int32"),i=[c.modelInputResolution.height,c.modelInputResolution.width];return l(u.cropAndResize(t,e,n,i,"bilinear",0),"int32")})),t.dispose(),[4,this.runSinglePersonPoseModel(i)];case 1:if(o=p.sent(),i.dispose(),o.score<this.minPoseScore)return this.reset(),[2,[]];for(a=0;a<o.keypoints.length;++a)o.keypoints[a].y=this.cropRegion.yMin+o.keypoints[a].y*this.cropRegion.height,o.keypoints[a].x=this.cropRegion.xMin+o.keypoints[a].x*this.cropRegion.width;return null!=n&&this.enableSmoothing&&(o.keypoints=this.keypointFilter.apply(o.keypoints,n,1)),h=xe(this.cropRegion,o.keypoints,this.keypointIndexByName,e),this.cropRegion=this.filterCropRegion(h),[2,[o]]}}))}))},t.prototype.estimateMultiplePoses=function(t,e,n){return N(this,void 0,void 0,(function(){var i,r,o,a,s,h,c,p,f,d,m,g=this;return D(this,(function(y){switch(y.label){case 0:return 32,e.width>e.height?(r=this.multiPoseMaxDimension,o=Math.round(this.multiPoseMaxDimension*e.height/e.width),i=u.resizeBilinear(t,[o,r]),s=r,h=32*Math.ceil(o/32),a=F(i,[[0,0],[0,h-o],[0,0],[0,0]])):(r=Math.round(this.multiPoseMaxDimension*e.width/e.height),o=this.multiPoseMaxDimension,i=u.resizeBilinear(t,[o,r]),s=32*Math.ceil(r/32),h=o,a=F(i,[[0,0],[0,0],[0,s-r],[0,0]])),i.dispose(),t.dispose(),c=l(a,"int32"),a.dispose(),[4,this.runMultiPersonPoseModel(c)];case 1:for(p=y.sent(),c.dispose(),p=p.filter((function(t){return t.score>=g.minPoseScore})),d=0;d<p.length;++d)for(f=0;f<p[d].keypoints.length;++f)p[d].keypoints[f].y*=h/o,p[d].keypoints[f].x*=s/r;if(this.enableTracking&&(this.tracker.apply(p,n),this.enableSmoothing)){for(d=0;d<p.length;++d)this.keypointFilterMap.has(p[d].id)||this.keypointFilterMap.set(p[d].id,new Et(ge)),p[d].keypoints=this.keypointFilterMap.get(p[d].id).apply(p[d].keypoints,n,1);m=this.tracker.getTrackIDs(),this.keypointFilterMap.forEach((function(t,e){m.has(e)||g.keypointFilterMap.delete(e)}))}return[2,p]}}))}))},t.prototype.filterCropRegion=function(t){if(t){var e=this.cropRegionFilterYMin.apply(t.yMin),n=this.cropRegionFilterXMin.apply(t.xMin),i=this.cropRegionFilterYMax.apply(t.yMax),r=this.cropRegionFilterXMax.apply(t.xMax);return{yMin:e,xMin:n,yMax:i,xMax:r,height:i-e,width:r-n}}return this.cropRegionFilterYMin.reset(),this.cropRegionFilterXMin.reset(),this.cropRegionFilterYMax.reset(),this.cropRegionFilterXMax.reset(),null},t.prototype.dispose=function(){this.moveNetModel.dispose()},t.prototype.reset=function(){this.cropRegion=null,this.resetFilters()},t.prototype.resetFilters=function(){this.keypointFilter.reset(),this.cropRegionFilterYMin.reset(),this.cropRegionFilterXMin.reset(),this.cropRegionFilterYMax.reset(),this.cropRegionFilterXMax.reset()},t}();function Se(t){return void 0===t&&(t=de),N(this,void 0,void 0,(function(){var e,n,i,r;return D(this,(function(o){switch(o.label){case 0:return e=ke(t),i=!0,e.modelUrl?(i="string"==typeof e.modelUrl&&e.modelUrl.indexOf("https://tfhub.dev")>-1,[4,C(e.modelUrl,{fromTFHub:i})]):[3,2];case 1:return n=o.sent(),[3,4];case 2:return r=void 0,"SinglePose.Lightning"===e.modelType?r="https://tfhub.dev/google/tfjs-model/movenet/singlepose/lightning/4":"SinglePose.Thunder"===e.modelType?r="https://tfhub.dev/google/tfjs-model/movenet/singlepose/thunder/4":"MultiPose.Lightning"===e.modelType&&(r="https://tfhub.dev/google/tfjs-model/movenet/multipose/lightning/1"),[4,C(r,{fromTFHub:i})];case 3:n=o.sent(),o.label=4;case 4:return"webgl"===m()&&O().set("TOPK_LAST_DIM_CPU_HANDOFF_SIZE_THRESHOLD",0),[2,new Me(n,e)]}}))}))}var Te={architecture:"MobileNetV1",outputStride:16,multiplier:.75,inputResolution:{height:257,width:257}},Pe=["MobileNetV1","ResNet50"],Fe={MobileNetV1:[8,16],ResNet50:[16]},_e=[8,16,32],Oe={MobileNetV1:[.5,.75,1],ResNet50:[1]},Ie=[1,2,4],Ae={maxPoses:1,flipHorizontal:!1},ze={maxPoses:5,flipHorizontal:!1,scoreThreshold:.5,nmsRadius:20},Ce=[-123.15,-115.9,-103.06];function Ee(t){return Math.floor(t/2)}var Re=function(){function t(t,e){this.priorityQueue=new Array(t),this.numberOfElements=-1,this.getElementValue=e}return t.prototype.enqueue=function(t){this.priorityQueue[++this.numberOfElements]=t,this.swim(this.numberOfElements)},t.prototype.dequeue=function(){var t=this.priorityQueue[0];return this.exchange(0,this.numberOfElements--),this.sink(0),this.priorityQueue[this.numberOfElements+1]=null,t},t.prototype.empty=function(){return-1===this.numberOfElements},t.prototype.size=function(){return this.numberOfElements+1},t.prototype.all=function(){return this.priorityQueue.slice(0,this.numberOfElements+1)},t.prototype.max=function(){return this.priorityQueue[0]},t.prototype.swim=function(t){for(;t>0&&this.less(Ee(t),t);)this.exchange(t,Ee(t)),t=Ee(t)},t.prototype.sink=function(t){for(;2*t<=this.numberOfElements;){var e=2*t;if(e<this.numberOfElements&&this.less(e,e+1)&&e++,!this.less(t,e))break;this.exchange(t,e),t=e}},t.prototype.getValueAt=function(t){return this.getElementValue(this.priorityQueue[t])},t.prototype.less=function(t,e){return this.getValueAt(t)<this.getValueAt(e)},t.prototype.exchange=function(t,e){var n=this.priorityQueue[t];this.priorityQueue[t]=this.priorityQueue[e],this.priorityQueue[e]=n},t}();function Le(t,e,n,i,r,o){for(var a=o.shape,s=a[0],u=a[1],h=!0,l=Math.max(n-r,0),c=Math.min(n+r+1,s),p=l;p<c;++p){for(var f=Math.max(i-r,0),d=Math.min(i+r+1,u),m=f;m<d;++m)if(o.get(p,m,t)>e){h=!1;break}if(!h)break}return h}function Ve(t){return N(this,void 0,void 0,(function(){return D(this,(function(e){return[2,Promise.all(t.map((function(t){return t.buffer()})))]}))}))}function Be(t,e,n,i){return{y:i.get(t,e,n),x:i.get(t,e,n+17)}}function Ne(t,e,n){var i=Be(t.heatmapY,t.heatmapX,t.id,n),r=i.y,o=i.x;return{x:t.heatmapX*e+o,y:t.heatmapY*e+r}}function De(t,e,n,i){var r=n.x,o=n.y;return t.some((function(t){var n,a,s,u,h,l,c=t.keypoints;return n=o,a=r,s=c[i].y,u=c[i].x,(h=s-n)*h+(l=u-a)*l<=e}))}var Ke=U.reduce((function(t,e,n){return t[e]=n,t}),{}),Ue=[["nose","left_eye"],["left_eye","left_ear"],["nose","right_eye"],["right_eye","right_ear"],["nose","left_shoulder"],["left_shoulder","left_elbow"],["left_elbow","left_wrist"],["left_shoulder","left_hip"],["left_hip","left_knee"],["left_knee","left_ankle"],["nose","right_shoulder"],["right_shoulder","right_elbow"],["right_elbow","right_wrist"],["right_shoulder","right_hip"],["right_hip","right_knee"],["right_knee","right_ankle"]].map((function(t){var e=t[0],n=t[1];return[Ke[e],Ke[n]]})),je=Ue.map((function(t){return t[1]})),He=Ue.map((function(t){return t[0]}));function qe(t,e,n){return t<e?e:t>n?n:t}function Xe(t,e,n,i){return{y:qe(Math.round(t.y/e),0,n-1),x:qe(Math.round(t.x/e),0,i-1)}}function Ye(t,e){return{x:t.x+e.x,y:t.y+e.y}}function We(t,e,n,i,r,o,a,s){void 0===s&&(s=2);for(var u=i.shape,h=u[0],l=u[1],c={y:e.y,x:e.x},p=Ye(c,function(t,e,n){var i=n.shape[2]/2;return{y:n.get(e.y,e.x,t),x:n.get(e.y,e.x,i+t)}}(t,Xe(c,o,h,l),a)),f=0;f<s;f++){var d=Xe(p,o,h,l),m=Be(d.y,d.x,n,r);p=Ye({x:d.x*o,y:d.y*o},{x:m.x,y:m.y})}var g=Xe(p,o,h,l),y=i.get(g.y,g.x,n);return{y:p.y,x:p.x,name:U[n],score:y}}function Ge(t,e,n,i,r,o){var a=e.shape[2],s=je.length,u=new Array(a),h=t.part,l=t.score,c=Ne(h,i,n);u[h.id]={score:l,name:U[h.id],y:c.y,x:c.x};for(var p=s-1;p>=0;--p){var f=je[p],d=He[p];u[f]&&!u[d]&&(u[d]=We(p,u[f],d,e,n,i,o))}for(p=0;p<s;++p){f=He[p],d=je[p];u[f]&&!u[d]&&(u[d]=We(p,u[f],d,e,n,i,r))}return u}function Qe(t,e,n){return n.reduce((function(n,i,r){var o=i.y,a=i.x,s=i.score;return De(t,e,{y:o,x:a},r)||(n+=s),n}),0)/n.length}function Ze(t,e,n,i,r,o,a,s){return void 0===a&&(a=.5),void 0===s&&(s=20),N(this,void 0,void 0,(function(){var u,h,l,c,p,f,d,m,g,y,v,x;return D(this,(function(w){switch(w.label){case 0:return[4,Ve([t,e,n,i])];case 1:for(u=w.sent(),h=u[0],l=u[1],c=u[2],p=u[3],f=[],d=function(t,e,n){for(var i=n.shape,r=i[0],o=i[1],a=i[2],s=new Re(r*o*a,(function(t){return t.score})),u=0;u<r;++u)for(var h=0;h<o;++h)for(var l=0;l<a;++l){var c=n.get(u,h,l);c<t||Le(l,c,u,h,e,n)&&s.enqueue({score:c,part:{heatmapY:u,heatmapX:h,id:l}})}return s}(a,1,h),m=s*s;f.length<o&&!d.empty();)g=d.dequeue(),y=Ne(g.part,r,l),De(f,m,y,g.part.id)||(v=Ge(g,h,l,r,c,p),x=Qe(f,m,v),f.push({keypoints:v,score:x}));return[2,f]}}))}))}function $e(){for(var t,e=[],n=0;n<arguments.length;n++)e[n]=arguments[n];switch(e.length){case 0:t="fn main() ";break;case 1:t="fn main(".concat(e[0]," : i32)");break;default:throw Error("Unreachable")}return t}var Je=function(){function t(t){this.variableNames=["A","B"],this.size=!0;this.workgroupSize=[32,1,1],this.outputShape=[t[0],1],this.dispatchLayout=E.flatDispatchLayout(this.outputShape),this.dispatch=E.computeDispatch(this.dispatchLayout,this.outputShape,this.workgroupSize),this.shaderKey="getpointsConfidenceOp"}return t.prototype.getUserCode=function(){return"\n        ".concat($e("index")," {\n          if (index < uniforms.size) {\n            let y = B[index * 2];\n            let x = B[index * 2 + 1];\n            let outIndex = y * uniforms.aShape.x * uniforms.aShape.z + x * uniforms.aShape.z + index;\n            result[index] = A[outIndex];\n          }\n        }\n        ")},t}();function tn(t,e){if(w()instanceof R)return function(t,e){var n=w(),i=new Je(e.shape),r=n.runWebGPUProgram(i,[t,e],"float32");return g().makeTensorFromTensorInfo(r)}(t,e);throw new Error("getPointsConfidenceWebGPU is not supported in this backend!")}var en=function(){function t(t){if(this.variableNames=["A","B"],this.size=!0,this.supportedLastDimension=2,2!==t.length||t[1]!==this.supportedLastDimension)throw new Error("GetOffsetVectorsProgram only supports shape of [x, ".concat(this.supportedLastDimension,"], but current shape is ").concat(t));this.workgroupSize=[32,1,1],this.outputShape=t;var e=[t[0],1];this.dispatchLayout=E.flatDispatchLayout(e),this.dispatch=E.computeDispatch(this.dispatchLayout,e,this.workgroupSize),this.shaderKey="GetOffsetVectors"}return t.prototype.getUserCode=function(){return"\n    fn getOffsetPoint(y: i32, x: i32, index: i32) -> vec2<i32> {\n      let outIndexY = y * uniforms.bShape.x * uniforms.bShape.y + x * uniforms.bShape.y + index;\n      let outIndexX = outIndexY + uniforms.bShape.z;\n      let outY = i32(B[outIndexY]);\n      let outX = i32(B[outIndexX]);\n      return vec2<i32>(outY, outX);\n    }\n\n    ".concat($e("index")," {\n      if (index < uniforms.size) {\n        let indexY = index * ").concat(this.supportedLastDimension,";\n        let indexX = indexY + 1;\n        let heatmapY = A[indexY];\n        let heatmapX = A[indexX];\n        let out = getOffsetPoint(i32(heatmapY), i32(heatmapX), index);\n        result[indexY] = f32(out[0]);\n        result[indexX] = f32(out[1]);\n      }\n    }\n    ")},t}();function nn(t,e){if(w()instanceof R)return function(t,e){var n=w(),i=new en(t.shape),r=n.runWebGPUProgram(i,[t,e],"float32");return g().makeTensorFromTensorInfo(r)}(t,e);throw new Error("getOffsetVectorsGPU is not supported in this backend!")}function rn(t){var e=t.shape,n=e[0],i=e[1],o=e[2];return r((function(){var e,s,u=S(t,[n*i,o]),l=z(u,0),c=h(k(l,A(i,"int32")),1),p=h((e=l,s=i,r((function(){var t=k(e,A(s,"int32"));return y(e,a(t,A(s,"int32")))}))),1);return M([c,p],1)}))}function on(t,e,n){return r((function(){var i=function(t,e){for(var n=[],i=0;i<U.length;i++){var r=t.get(i,0).valueOf(),o=t.get(i,1).valueOf(),a=an(r,o,i,e),u=a.x,h=a.y;n.push(h),n.push(u)}return s(n,[U.length,2])}(t,n);return o(l(a(t.toTensor(),A(e,"int32")),"float32"),i)}))}function an(t,e,n,i){return{y:i.get(t,e,n),x:i.get(t,e,n+U.length)}}function sn(t,e,n){return N(this,void 0,void 0,(function(){var i,r,o,a,s,u,h,l,c,p;return D(this,(function(f){switch(f.label){case 0:return i=0,r=rn(t),[4,Promise.all([t.buffer(),e.buffer(),r.buffer()])];case 1:return o=f.sent(),a=o[0],s=o[1],u=o[2],[4,(h=on(u,n,s)).buffer()];case 2:return l=f.sent(),c=Array.from(function(t,e){for(var n=e.shape[0],i=new Float32Array(n),r=0;r<n;r++){var o=e.get(r,0),a=e.get(r,1);i[r]=t.get(o,a,r)}return i}(a,u)),p=c.map((function(t,e){return i+=t,{y:l.get(e,0),x:l.get(e,1),score:t,name:U[e]}})),r.dispose(),h.dispose(),[2,{keypoints:p,score:i/p.length}]}}))}))}function un(t,e,n){return N(this,void 0,void 0,(function(){var i,s,u;return D(this,(function(h){return i=rn(t),s=function(t,e,n){return r((function(){var i=nn(t,n);return o(l(a(t,A(e,"int32")),"float32"),i)}))}(i,n,e),u=tn(t,i),[2,[s,u]]}))}))}function hn(t,e){return(t-1)%e==0}var ln="https://storage.googleapis.com/tfjs-models/savedmodel/posenet/mobilenet/",cn="https://storage.googleapis.com/tfjs-models/savedmodel/posenet/resnet50/";function pn(t,e){return function(t,e){return(t-1)%e==0}(t,e)?t:Math.floor(t/e)*e+1}var fn=function(){function t(t,e){this.posenetModel=t;var n=this.posenetModel.inputs[0].shape;i.assert(-1===n[1]&&-1===n[2],(function(){return"Input shape [".concat(n[1],", ").concat(n[2],"] ")+"must both be equal to or -1"}));var r,o,a=(r=e.inputResolution,o=e.outputStride,{height:pn(r.height,o),width:pn(r.width,o)});!function(t){i.assert(_e.indexOf(t)>=0,(function(){return"outputStride of ".concat(t," is invalid. ")+"It must be either 8 or 16."}))}(e.outputStride),function(t,e){i.assert(hn(t.height,e),(function(){return"height of ".concat(t.height," is invalid for output stride ")+"".concat(e,".")})),i.assert(hn(t.width,e),(function(){return"width of ".concat(t.width," is invalid for output stride ")+"".concat(e,".")}))}(a,e.outputStride),this.inputResolution=a,this.outputStride=e.outputStride,this.architecture=e.architecture}return t.prototype.estimatePoses=function(t,e){return void 0===e&&(e=Ae),N(this,void 0,void 0,(function(){return D(this,(function(n){return[2,this.estimatePosesGPU(t,e,!1)]}))}))},t.prototype.estimatePosesGPU=function(t,e,n){return void 0===e&&(e=Ae),void 0===n&&(n=!1),N(this,void 0,void 0,(function(){var i,r,a,s,u,h,l,c,d,m,g,y,v,x,w,k,b,M;return D(this,(function(S){switch(S.label){case 0:return i=function(t){var e=t;if(null==e.maxPoses&&(e.maxPoses=1),e.maxPoses<=0)throw new Error("Invalid maxPoses ".concat(e.maxPoses,". Should be > 0."));if(e.maxPoses>1){if((e=B(B({},ze),e)).scoreThreshold<0||e.scoreThreshold>1)throw new Error("Invalid scoreThreshold ".concat(e.scoreThreshold,". ")+"Should be in range [0.0, 1.0]");if(e.nmsRadius<=0)throw new Error("Invalid nmsRadius ".concat(e.nmsRadius,"."))}return e}(e),null==t?[2,n?[[],[]]:[]]:(this.maxPoses=i.maxPoses,r=mt(t,{outputTensorSize:this.inputResolution,keepAspectRatio:!0,borderMode:"replicate"}),a=r.imageTensor,s=r.padding,u="ResNet50"===this.architecture?o(a,Ce):dt(a,[-1,1]),h=this.posenetModel.predict(u),"ResNet50"===this.architecture?(l=p(h[2],[0]),c=p(h[3],[0]),d=p(h[0],[0]),m=p(h[1],[0])):(l=p(h[0],[0]),c=p(h[1],[0]),d=p(h[2],[0]),m=p(h[3],[0])),g=P(c),1!==this.maxPoses?[3,5]:n?[4,un(g,l,this.outputStride)]:[3,2]);case 1:return v=S.sent(),w=v[0],x=v[1],y=[w,x],[3,4];case 2:return[4,sn(g,l,this.outputStride)];case 3:w=S.sent(),y=[w],S.label=4;case 4:return[3,7];case 5:if(n)throw new Error("GPU renderer only supports single pose!");return[4,Ze(g,l,d,m,this.outputStride,this.maxPoses,i.scoreThreshold,i.nmsRadius)];case 6:y=S.sent(),S.label=7;case 7:if(n){if(!0===i.flipHorizontal)throw new Error("flipHorizontal is not supported!");k=this.getCanvasInfo(rt(t),this.inputResolution,s)}else M=rt(t),b=function(t,e,n,i){var r=e.height,o=e.width,a=r/(n.height*(1-i.top-i.bottom)),s=o/(n.width*(1-i.left-i.right)),u=-i.top*n.height,h=-i.left*n.width;if(1===s&&1===a&&0===u&&0===h)return t;for(var l=0,c=t;l<c.length;l++)for(var p=0,f=c[l].keypoints;p<f.length;p++){var d=f[p];d.x=(d.x+h)*s,d.y=(d.y+u)*a}return t}(y,M,this.inputResolution,s),i.flipHorizontal&&(b=function(t,e){for(var n=0,i=t;n<i.length;n++)for(var r=0,o=i[n].keypoints;r<o.length;r++){var a=o[r];a.x=e.width-1-a.x}return t}(b,M));return a.dispose(),u.dispose(),f(h),l.dispose(),c.dispose(),d.dispose(),m.dispose(),g.dispose(),[2,n?[y,k]:b]}}))}))},t.prototype.getCanvasInfo=function(t,e,n){var i=t.height,r=t.width,o=i/(e.height*(1-n.top-n.bottom)),a=r/(e.width*(1-n.left-n.right)),s=-n.top*e.height;return[-n.left*e.width,s,a,o,t.width,t.height]},t.prototype.dispose=function(){this.posenetModel.dispose()},t.prototype.reset=function(){},t}();function dn(t){return void 0===t&&(t=Te),N(this,void 0,void 0,(function(){var e,n,i,r,o;return D(this,(function(a){switch(a.label){case 0:return"ResNet50"!==(e=function(t){var e=t||Te;if(null==e.architecture&&(e.architecture="MobileNetV1"),Pe.indexOf(e.architecture)<0)throw new Error("Invalid architecture ".concat(e.architecture,". ")+"Should be one of ".concat(Pe));if(null==e.inputResolution&&(e.inputResolution={height:257,width:257}),null==e.outputStride&&(e.outputStride=16),Fe[e.architecture].indexOf(e.outputStride)<0)throw new Error("Invalid outputStride ".concat(e.outputStride,". ")+"Should be one of ".concat(Fe[e.architecture]," ")+"for architecture ".concat(e.architecture,"."));if(null==e.multiplier&&(e.multiplier=1),Oe[e.architecture].indexOf(e.multiplier)<0)throw new Error("Invalid multiplier ".concat(e.multiplier,". ")+"Should be one of ".concat(Oe[e.architecture]," ")+"for architecture ".concat(e.architecture,"."));if(null==e.quantBytes&&(e.quantBytes=4),Ie.indexOf(e.quantBytes)<0)throw new Error("Invalid quantBytes ".concat(e.quantBytes,". ")+"Should be one of ".concat(Ie," ")+"for architecture ".concat(e.architecture,"."));if("MobileNetV1"===e.architecture&&32===e.outputStride&&1!==e.multiplier)throw new Error("When using an output stride of 32, you must select 1 as the multiplier.");return e}(t)).architecture?[3,2]:(s=e.outputStride,u=e.quantBytes,h="model-stride".concat(s,".json"),n=4===u?cn+"float/"+h:cn+"quant".concat(u,"/")+h,[4,C(e.modelUrl||n)]);case 1:return i=a.sent(),[2,new fn(i,e)];case 2:return r=function(t,e,n){var i={1:"100",.75:"075",.5:"050"},r="model-stride".concat(t,".json");return 4===n?ln+"float/".concat(i[e],"/")+r:ln+"quant".concat(n,"/").concat(i[e],"/")+r}(e.outputStride,e.multiplier,e.quantBytes),[4,C(e.modelUrl||r)];case 3:return o=a.sent(),[2,new fn(o,e)]}var s,u,h}))}))}function mn(t,e){return N(this,void 0,void 0,(function(){var n,i;return D(this,(function(r){switch(t){case se.PoseNet:return[2,dn(e)];case se.BlazePose:if(i=void 0,null!=(n=e)){if("tfjs"===n.runtime)return[2,oe(e)];if("mediapipe"===n.runtime)return[2,it(e)];i=n.runtime}throw new Error("Expect modelConfig.runtime to be either 'tfjs' "+"or 'mediapipe', but got ".concat(i));case se.MoveNet:return[2,Se(e)];default:throw new Error("".concat(t," is not a supported model name."))}}))}))}var gn={keypointsToNormalizedKeypoints:At},yn={modelType:{SINGLEPOSE_LIGHTNING:"SinglePose.Lightning",SINGLEPOSE_THUNDER:"SinglePose.Thunder",MULTIPOSE_LIGHTNING:"MultiPose.Lightning"}};export{se as SupportedModels,ae as TrackerType,gn as calculators,mn as createDetector,yn as movenet,pe as util};
